Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.util
Class MessageFromProlog

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.MessageFromProlog

All Implemented Interfaces:
  Serializable

public class MessageFromProlog
extends Object
implements Serializable

Represents a message from Prolog, performed by predicate javaMessage

See Also:
  Serialized Form

Field Summary
`Object[]` | `arguments`
`String` | `methodName`
`boolean` | `returnArguments`
`Object` | `target`
`int` | `timestamp`

Constructor Summary
`MessageFromProlog()`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timestamp

    public int timestamp

### target

    public Object target

### methodName

    public String methodName

### arguments

    public Object[] arguments

### returnArguments

    public boolean returnArguments

Constructor Detail

### MessageFromProlog

    public MessageFromProlog()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD